STOFFSpreadsheetDecoder Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
STOFFSpreadsheetDecoder Class Referencefinal

main class used to decode a librevenge::RVNGBinaryData created by More...

`#include <STOFFSpreadsheetDecoder.hxx>`

Inheritance diagram for STOFFSpreadsheetDecoder:

## Public Member Functions
| STOFFSpreadsheetDecoder (librevenge::RVNGSpreadsheetInterface *output)
| constructor More...
| ~STOFFSpreadsheetDecoder () final
| destructor More...
void | insertElement (const char *psName) final
| insert an element More...
void | insertElement (const char *psName, const librevenge::RVNGPropertyList &xPropList) final
| insert an element ( with a librevenge::RVNGPropertyList ) More...
void | insertElement (const char *psName, const librevenge::RVNGPropertyList &xPropList, const librevenge::RVNGPropertyListVector &vector)
| insert an element ( with a librevenge::RVNGPropertyListVector parameter ) More...
void | characters (const librevenge::RVNGString &sCharacters) final
| insert a sequence of character More...
Public Member Functions inherited from STOFFPropertyHandler
| STOFFPropertyHandler ()
| constructor More...
virtual | ~STOFFPropertyHandler ()
| destructor More...
bool | checkData (librevenge::RVNGBinaryData const &encoded)
| checks a encoded librevenge::RVNGBinaryData created by STOFFPropertyHandlerEncoder More...
bool | readData (librevenge::RVNGBinaryData const &encoded)
| reads a encoded librevenge::RVNGBinaryData created by STOFFPropertyHandlerEncoder More...

## Private Member Functions
| STOFFSpreadsheetDecoder (STOFFSpreadsheetDecoder const &)
| copy constructor (undefined) More...
STOFFSpreadsheetDecoder | operator= (STOFFSpreadsheetDecoder const &)
| operator= (undefined) More...

## Private Attributes
librevenge::RVNGSpreadsheetInterface * | m_output
| the interface output More...

## Detailed Description

main class used to decode a librevenge::RVNGBinaryData created by

See also
  STOFFSpreadsheetEncoder (with mimeType="image/stoff-odg") and to send it contents to librevenge::RVNGSpreadsheetInterface

## Constructor & Destructor Documentation

## ◆ STOFFSpreadsheetDecoder() [1/2]

STOFFSpreadsheetDecoder::STOFFSpreadsheetDecoder | ( | librevenge::RVNGSpreadsheetInterface * | output | ) |
| inlineexplicit

constructor

## ◆ ~STOFFSpreadsheetDecoder()

STOFFSpreadsheetDecoder::~STOFFSpreadsheetDecoder | ( |  | ) |
| inlinefinal

destructor

## ◆ STOFFSpreadsheetDecoder() [2/2]

STOFFSpreadsheetDecoder::STOFFSpreadsheetDecoder | ( | STOFFSpreadsheetDecoder const & |  | ) |
| private

copy constructor (undefined)

## Member Function Documentation

## ◆ characters()

void STOFFSpreadsheetDecoder::characters | ( | const librevenge::RVNGString & | sCharacters | ) |
| inlinefinalvirtual

insert a sequence of character

Implements STOFFPropertyHandler.

## ◆ insertElement() [1/3]

void STOFFSpreadsheetDecoder::insertElement | ( | const char * | psName | ) |
| finalvirtual

insert an element

Implements STOFFPropertyHandler.

## ◆ insertElement() [2/3]

void STOFFSpreadsheetDecoder::insertElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList
| ) |  |
| finalvirtual

insert an element ( with a librevenge::RVNGPropertyList )

Implements STOFFPropertyHandler.

## ◆ insertElement() [3/3]

void STOFFSpreadsheetDecoder::insertElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList,
|  | const librevenge::RVNGPropertyListVector & | vector
| ) |  |

insert an element ( with a librevenge::RVNGPropertyListVector parameter )

## ◆ operator=()

STOFFSpreadsheetDecoder STOFFSpreadsheetDecoder::operator= | ( | STOFFSpreadsheetDecoder const & |  | ) |
| private

operator= (undefined)

## Member Data Documentation

## ◆ m_output

librevenge::RVNGSpreadsheetInterface* STOFFSpreadsheetDecoder::m_output
| private

the interface output

Referenced by characters(), and insertElement().

The documentation for this class was generated from the following files:

- STOFFSpreadsheetDecoder.hxx
- STOFFSpreadsheetDecoder.cxx